summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorjc_gargma <jc_gargma@iserlohn-fortress.net>2018-08-21 04:59:02 -0700
committerjc_gargma <jc_gargma@iserlohn-fortress.net>2018-08-21 04:59:02 -0700
commit488066308ba4c2d17fc4f2f1b7aa16d4f6e38d62 (patch)
tree359ba29653fd83cd651acea11b5e0f7004d0d1a2
downloadgst-plugins-bad-488066308ba4c2d17fc4f2f1b7aa16d4f6e38d62.tar.xz
Initial commit
-rw-r--r--PKGBUILD84
-rw-r--r--missing-includes.diff51
2 files changed, 135 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 0000000..62ab6fb
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,84 @@
+# $Id: PKGBUILD 289453 2017-02-23 20:23:57Z heftig $
+# Maintainer (Arch): Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
+# Contributor (Arch): Jan de Groot <jgc@archlinux.org>
+# Maintainer (Hyperbola): Márcio Silva <coadde@hyperbola.info>
+# Maintainer: Omar Vega Ramos <ovruni@gnu.org.pe>
+# Contributor: Isaac David <isacdaavid@at@isacdaavid@dot@info>
+
+pkgname=gst-plugins-bad
+pkgver=1.14.12
+pkgrel=1.parabola1
+pkgdesc="GStreamer Multimedia Framework Bad Plugins, without nonfree faac support"
+url="https://gstreamer.freedesktop.org/"
+arch=(i686 x86_64 armv7h)
+license=(LGPL)
+depends=(mjpegtools gst-plugins-base-libs curl chromaprint libmms faad2 celt libdca libdvdnav
+ libmodplug libgme wayland libofa openjpeg2 libwebp libsrtp gnutls sbc rtmpdump libgudev
+ libexif libdvdread libvdpau libmpeg2 wildmidi ladspa openal libusb vulkan-icd-loader
+ libfdk-aac soundtouch spandsp neon webrtc-audio-processing libdc1394 libmpcdec zvbi
+ openexr libbs2b libnice lcms2 bluez-libs glu srt aom)
+makedepends=(python gtk-doc autoconf-archive git gobject-introspection gtk3 vulkan-headers
+ vulkan-validation-layers librsvg libtiger zbar fluidsynth lilv opencv)
+replaces=("${pkgname}-libre" "${pkgname}-parabola")
+conflicts=("${pkgname}-libre" "${pkgname}-parabola")
+_commit=513ef5efdf85f9af4a016e8ae69f28cf16c9ec58 # tags/1.14.2^0
+source=("git+https://anongit.freedesktop.org/git/gstreamer/gst-plugins-bad#commit=$_commit"
+ "gst-common::git+https://anongit.freedesktop.org/git/gstreamer/common"
+ missing-includes.diff)
+sha256sums=('SKIP'
+ 'SKIP'
+ 'acf625d58611372532bc76e7276dacd69d2a9f7dee88ed9e2e8ecae0881476a3')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+
+ # error: ‘CV_RGB’ was not declared in this scope
+ patch -Np1 -i ../missing-includes.diff
+
+ git submodule init
+ git config --local submodule.common.url "$srcdir/gst-common"
+ git submodule update
+
+ NOCONFIGURE=1 ./autogen.sh
+}
+
+build() {
+ cd $pkgname
+
+ case "$CARCH" in
+ i686|x86_64) extra="--enable-gtk-doc" ;;
+ arm*|aarch64) extra="" ;;
+ *) extra="" ;;
+ esac
+
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --libexecdir=/usr/lib \
+ --with-package-name="GStreamer Bad Plugins (Parabola GNU/Linux-libre)" \
+ --with-package-origin="https://www.parabola.nu/" \
+ --with-gtk=3.0 \
+ --enable-experimental \
+ --disable-static \
+ $extra
+ sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool
+
+ make
+}
+
+check() {
+ cd $pkgname
+ # bad tests are bad
+ #make -k check || :
+}
+
+package() {
+ cd $pkgname
+ make DESTDIR="$pkgdir" install
+}
diff --git a/missing-includes.diff b/missing-includes.diff
new file mode 100644
index 0000000..f9960cf
--- /dev/null
+++ b/missing-includes.diff
@@ -0,0 +1,51 @@
+Submodule common f0c2dc9aa..ed78bee43:
+ > valgrind suppressions: ignore any error triggered by */ld*.so
+ > gtk-doc-plugins.mak: sort xml inspect files
+diff --git i/ext/opencv/MotionCells.cpp w/ext/opencv/MotionCells.cpp
+index f85989e11..e75191308 100644
+--- i/ext/opencv/MotionCells.cpp
++++ w/ext/opencv/MotionCells.cpp
+@@ -52,6 +52,7 @@
+ #include <errno.h>
+ #include "MotionCells.h"
+ #include <opencv2/imgproc/imgproc_c.h>
++#include <opencv2/imgproc/imgproc.hpp>
+
+ MotionCells::MotionCells ()
+ {
+diff --git i/ext/opencv/gsthanddetect.cpp w/ext/opencv/gsthanddetect.cpp
+index 60fd5be72..aadbc03de 100644
+--- i/ext/opencv/gsthanddetect.cpp
++++ w/ext/opencv/gsthanddetect.cpp
+@@ -63,6 +63,7 @@
+ /* element header */
+ #include "gsthanddetect.h"
+ #include <opencv2/imgproc/imgproc_c.h>
++#include <opencv2/imgproc.hpp>
+
+ GST_DEBUG_CATEGORY_STATIC (gst_handdetect_debug);
+ #define GST_CAT_DEFAULT gst_handdetect_debug
+diff --git i/ext/opencv/gstsegmentation.cpp w/ext/opencv/gstsegmentation.cpp
+index d52476e7d..fd3abb507 100644
+--- i/ext/opencv/gstsegmentation.cpp
++++ w/ext/opencv/gstsegmentation.cpp
+@@ -92,6 +92,7 @@
+
+ #include "gstsegmentation.h"
+ #include <opencv2/imgproc/imgproc_c.h>
++#include <opencv2/imgproc.hpp>
+
+ GST_DEBUG_CATEGORY_STATIC (gst_segmentation_debug);
+ #define GST_CAT_DEFAULT gst_segmentation_debug
+diff --git i/ext/opencv/gsttemplatematch.cpp w/ext/opencv/gsttemplatematch.cpp
+index f39208dc2..50197f23d 100644
+--- i/ext/opencv/gsttemplatematch.cpp
++++ w/ext/opencv/gsttemplatematch.cpp
+@@ -64,6 +64,7 @@
+ #include "../../gst-libs/gst/gst-i18n-plugin.h"
+ #include "gsttemplatematch.h"
+ #include <opencv2/imgproc/imgproc_c.h>
++#include <opencv2/imgproc.hpp>
+
+ GST_DEBUG_CATEGORY_STATIC (gst_template_match_debug);
+ #define GST_CAT_DEFAULT gst_template_match_debug